%global pypi_name sphinx-press-theme

Name:           python-%{pypi_name}
Version:        0.5.1
Release:        4%{?dist}
Summary:        A Sphinx-doc theme based on Vuepress

License:        MIT and BSD
URL:            https://schettino72.github.io/sphinx_press_site/
Source0:        %{pypi_source sphinx_press_theme}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A modern responsive theme for python's Sphinx documentation generator.
See it in action on Press Theme own website.
This theme is based on VuePress.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A modern responsive theme for python's Sphinx documentation generator.
See it in action on Press Theme own website.
This theme is based on VuePress.


%prep
%autosetup -n sphinx_press_theme-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/sphinx_press_theme
%{python3_sitelib}/sphinx_press_theme-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Mar 20 2020 José Matos <jamatos@fedoraproject.org> - 0.5.1-4
- Add pypi_source by setting the appropriate argument.

* Fri Mar 20 2020 José Matos <jamatos@fedoraproject.org> - 0.5.1-3
- It is not possible to use pypi_source because of the change between - and _ in the name.
- Add BSD to the license since some of the files are under that license.

* Thu Mar 19 2020 José Matos <jamatos@fedoraproject.org> - 0.5.1-2
- Small cleanups: replace source with canonical name.
- Removed extraneous formating from description.
- Removed the Requires since they are autogenerated for python packages.

* Thu Mar 19 2020 José Abílio Matos <jamatos@fedoraproject.org> - 0.5.1-1
- Initial package.
